Initiate DigiLocker
curl --request POST \
--url https://bgv.konnectnxt.com/api/client/profile-creation-with-digilocker \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "SAM",
"email": "sam@gmail.com",
"mobile": "9090909012",
"documents_requested": [
"ADHAR",
"PANCR"
],
"callback_url": "https://webhook.site/9c4c8d1a-8c2b-4f9e-9b2f-2c12fbd1f9f3",
"extra_fields": {
"panno": "AABCI6363G",
"PANFullName": "SAM"
}
}
'import requests
url = "https://bgv.konnectnxt.com/api/client/profile-creation-with-digilocker"
payload = {
"name": "SAM",
"email": "sam@gmail.com",
"mobile": "9090909012",
"documents_requested": ["ADHAR", "PANCR"],
"callback_url": "https://webhook.site/9c4c8d1a-8c2b-4f9e-9b2f-2c12fbd1f9f3",
"extra_fields": {
"panno": "AABCI6363G",
"PANFullName": "SAM"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'SAM',
email: 'sam@gmail.com',
mobile: '9090909012',
documents_requested: ['ADHAR', 'PANCR'],
callback_url: 'https://webhook.site/9c4c8d1a-8c2b-4f9e-9b2f-2c12fbd1f9f3',
extra_fields: {panno: 'AABCI6363G', PANFullName: 'SAM'}
})
};
fetch('https://bgv.konnectnxt.com/api/client/profile-creation-with-digilocker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "DigiLocker session initiated successfully",
"data": {
"consent_url": "https://testbgv.konnectnxt.com/api/digilocker/consent-form?case=36af8453-51e9-43e1-aace-3e8371ef2118",
"case_id": "36af8453-51e9-43e1-aace-3e8371ef2118"
},
"credits_used": 50,
"credits_remaining": 10000
}DigiLocker
Initiate DigiLocker
Initiates DigiLocker-based profile creation by requesting documents such as Aadhaar and PAN
POST
/
client
/
profile-creation-with-digilocker
Initiate DigiLocker
Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Body
application/json
Example:
"SAM"
Example:
"sam@gmail.com"
Example:
"9090909012"
Minimum array length:
1Available options:
ADHAR, PANCR Example:
["ADHAR", "PANCR"]
Webhook URL to receive DigiLocker updates (optional)
Example:
"https://webhook.site/9c4c8d1a-8c2b-4f9e-9b2f-2c12fbd1f9f3"
Optional document-specific metadata
Show child attributes
Show child attributes
Response
DigiLocker request successfully initiated
Was this page helpful?
⌘I

